# Generated by go2rpm 1.15.0
%bcond check 0
%bcond bootstrap 0

%if %{with bootstrap}
%global debug_package %{nil}
%endif

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/rhysd/actionlint
%global goipath         github.com/rhysd/actionlint
Version:                1.7.5

%gometa -f -i

%global common_description %{expand:
:octocat: Static checker for GitHub Actions workflow files.}

%global golicenses      LICENSE.txt
%global godocs          docs CHANGELOG.md CONTRIBUTING.md README.md\\\
                        fuzz/README.md playground/README.md scripts/check-\\\
                        checks/README.md scripts/generate-actionlint-\\\
                        matcher/README.md scripts/generate-\\\
                        availability/README.md scripts/generate-popular-\\\
                        actions/README.md scripts/generate-webhook-\\\
                        events/README.md

Name:           golang-github-rhysd-actionlint
Release:        %autorelease
Summary:        :octocat: Static checker for GitHub Actions workflow files

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%dnl %autopatch -p1

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%if %{without bootstrap}
%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
for cmd in scripts/check-checks scripts/generate-availability scripts/generate-popular-actions scripts/generate-webhook-events; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
%endif

%if %{without bootstrap}
%if %{with check}
%check
%gocheck
%endif
%endif

%if %{without bootstrap}
%files
%license LICENSE.txt
%doc docs CHANGELOG.md CONTRIBUTING.md README.md fuzz/README.md
%doc playground/README.md scripts/check-checks/README.md
%doc scripts/generate-actionlint-matcher/README.md
%doc scripts/generate-availability/README.md
%doc scripts/generate-popular-actions/README.md
%doc scripts/generate-webhook-events/README.md
# REMOVE BEFORE SUBMITTING THIS FOR REVIEW
# ---
# New Fedora packages should not use globs to avoid installing conflicting
# binaries.
# Write a _bindir line per each of the binaries the package will install.
# ---
# REMOVE BEFORE SUBMITTING THIS FOR REVIEW
%{_bindir}/*
%endif

%gopkgfiles

%changelog
%autochangelog
